﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Syncfusion.SfDataGrid.XForms;
using Xamarin.Forms;

namespace DataGridDemo
{
    public class SfDataGridBehavior : Behavior<SfDataGrid>
    {
        public static readonly BindableProperty ParameterProperty =
                BindableProperty.Create("Parameter", typeof(ViewModel), typeof(SfDataGridBehavior), null);

        public ViewModel Parameter
        {
            get { return (ViewModel)GetValue(ParameterProperty); }
            set { SetValue(ParameterProperty, value); }
        }

        public SfDataGrid AssociatedObject { get; private set; }

        protected override void OnAttachedTo(SfDataGrid bindable)
        {
            base.OnAttachedTo(bindable);
            AssociatedObject = bindable;
            bindable.GridTapped += Parameter.SfGrid_GridTapped;
        }

        protected override void OnDetachingFrom(SfDataGrid bindable)
        {
            base.OnDetachingFrom(bindable);
            bindable.GridTapped -= Parameter.SfGrid_GridTapped;
            AssociatedObject = null;
        }
    }
}
